Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.drools.conf
Class AlphaThresholdOption

    java.lang.Object
      org.drools.conf.AlphaThresholdOption

All Implemented Interfaces:
  Serializable, KnowledgeBaseOption, Option, SingleValueKnowledgeBaseOption

    public class AlphaThresholdOption

extends Object
implements SingleValueKnowledgeBaseOption

A class for the alpha node hashing threshold configuration.

See Also:
  Serialized Form

Field Summary
`static String` | `PROPERTY_NAME` The property name for the default DIALECT

Method Summary
`boolean` | `equals(Object obj)`
`static AlphaThresholdOption` | `get(int threshold)` This is a factory method for this Alpha Threshold configuration.
`String` | `getPropertyName()` Returns the property name for this option
`int` | `getThreshold()` Returns the threshold value for alpha hashing
`int` | `hashCode()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### PROPERTY_NAME

    public static final String PROPERTY_NAME

  The property name for the default DIALECT

  See Also:
    Constant Field Values

Method Detail

### get

    public static AlphaThresholdOption get(int threshold)

  This is a factory method for this Alpha Threshold configuration. The factory method is a best practice for the case where the actual object construction is changed in the future.

  Parameters:
    `threshold` - the threshold value for the alpha hashing option
  Returns:
    the actual type safe alpha threshold configuration.

### getPropertyName

    public String getPropertyName()

  Returns the property name for this option

  Specified by:
    `getPropertyName` in interface `Option`
  Returns:

### getThreshold

    public int getThreshold()

  Returns the threshold value for alpha hashing

  Returns:

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `Object`

### equals

    public boolean equals(Object obj)

  Overrides:
    `equals` in class `Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 JBoss by Red Hat. All Rights Reserved.